<mat-accordion>
  <ng-container
    *ngFor="let route of routesAccordion; let i = index; trackBy: trackByFn">
    <mat-expansion-panel
      *rdnForRole="route.data?.forRoles"
      class="expansion-panel"
      [class.selected]="i === activeLinkIndex"
      #panel
      [expanded]="i === activeLinkIndex"
      [hideToggle]="i === activeLinkIndex">
      <mat-expansion-panel-header
        [routerLink]="[route.path]"
        routerLinkActive
        (isActiveChange)="changedActiveLink($event, i)"
        class="expansion-panel-header">
        <mat-panel-title>
          {{ route.data['label'] }}
        </mat-panel-title>
      </mat-expansion-panel-header>
      <mat-nav-list *ngIf="route.data.subRoutes as subRoutes">
        <ng-container *ngFor="let subRoute of subRoutes; trackBy: trackByFn">
          <a
            *rdnForRole="subRoute.data?.['forRoles']; appearIfNoRoles: true"
            mat-list-item
            [routerLink]="
              subRoute.path ? [route.path, subRoute.path] : [route.path]
            "
            [class.active]="link.isActive"
            routerLinkActive
            [routerLinkActiveOptions]="{ exact: true }"
            class="navigation-link"
            #link="routerLinkActive"
            >{{ subRoute.data['label'] }}</a
          >
        </ng-container>
      </mat-nav-list>
    </mat-expansion-panel>
  </ng-container>
</mat-accordion>
